### Method

# Clutter Container remove

deprecated: 1.10

#### Declaration [src]

    void
    clutter_container_remove (
      ClutterContainer* container,
      ClutterActor* first_actor,
      ...
    )

#### Description [src]

Removes a `NULL` terminated list of `ClutterActor`s from `container`. Each actor should be unparented, so if you want to keep it around you must hold a reference to it yourself, using g_object_ref(). Each time an actor is removed, the “actor-removed” signal is emitted by `container`.

This function will call `ClutterContainerIface`.remove(), which is a deprecated virtual function. The default implementation will call clutter_actor_remove_child().

Deprecated since: 1.10

Use `clutter_actor_remove_child()` instead.

This method is not directly available to language bindings.

#### Parameters

`first_actor`

  Type: `ClutterActor`

  First `ClutterActor` to remove.

  The data is owned by the caller of the method.

`...`

  Type: ``

  A `NULL`-terminated list of actors to remove.